split the common code off into libply and move things to separate directories

calculate-0.9.5
Ray Strode 18 years ago
parent 177a24020b
commit b157f818ac

@ -1,87 +0,0 @@
/* config.h.in. Generated from configure.ac by autoheader. */
/* always defined to indicate that i18n is enabled */
#undef ENABLE_NLS
/* "graphical boot splash" */
#undef GETTEXT_PACKAGE
/* Define to 1 if you have the `bind_textdomain_codeset' function. */
#undef HAVE_BIND_TEXTDOMAIN_CODESET
/* Define to 1 if you have the `dcgettext' function. */
#undef HAVE_DCGETTEXT
/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H
/* Define if the GNU gettext() function is already present or preinstalled. */
#undef HAVE_GETTEXT
/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H
/* Define if your <locale.h> file defines LC_MESSAGES. */
#undef HAVE_LC_MESSAGES
/* Define to 1 if you have the <locale.h> header file. */
#undef HAVE_LOCALE_H
/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H
/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H
/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H
/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H
/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H
/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H
/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H
/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H
/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#undef NO_MINUS_C_MINUS_O
/* Name of package */
#undef PACKAGE
/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT
/* Define to the full name of this package. */
#undef PACKAGE_NAME
/* Define to the full name and version of this package. */
#undef PACKAGE_STRING
/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME
/* Define to the version of this package. */
#undef PACKAGE_VERSION
/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS
/* Version number of package */
#undef VERSION
/* Enable GNU extensions on systems that have them. */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Define to empty if `const' does not conform to ANSI C. */
#undef const

@ -32,14 +32,20 @@ PKG_CHECK_MODULES(IMAGE, [libpng >= 1.2.16 ])
AC_SUBST(IMAGE_CFLAGS)
AC_SUBST(IMAGE_LIBS)
PLYMOUTH_CFLAGS=""
PLYMOUTH_LIBS="-lm -ldl"
PLYMOUTH_CFLAGS="$IMAGE_CFLAGS"
PLYMOUTH_LIBS="-lm -ldl $IMAGE_LIBS"
AC_SUBST(PLYMOUTH_CFLAGS)
AC_SUBST(PLYMOUTH_LIBS)
AC_OUTPUT([Makefile
src/libply/Makefile
src/splash-plugins/Makefile
src/Makefile
src/rhgb-client/Makefile
src/tests/Makefile
src/libply/tests/Makefile
src/rhgb-client/tests/Makefile
src/splash-plugins/tests/Makefile
po/Makefile.in
])

@ -1,61 +1,18 @@
SUBDIRS = tests
SUBDIRS = libply . splash-plugins rhgb-client
INCLUDES = -I$(top_srcdir) \
-I$(srcdir)/libply \
-I$(srcdir)
noinst_PROGRAMS = plymouth rhgb-client
lib_LTLIBRARIES = fedora-fade-in.la
noinst_PROGRAMS = plymouth
plymouth_CFLAGS = $(PLYMOUTH_CFLAGS)
plymouth_LDADD = $(PLYMOUTH_LIBS)
plymouth_LDADD = $(PLYMOUTH_LIBS) libply/libply.la
plymouth_SOURCES = \
ply-boot-server.h \
ply-boot-server.c \
ply-boot-splash-plugin.h \
ply-boot-splash.h \
ply-boot-splash.c \
ply-list.h \
ply-list.c \
ply-logger.h \
ply-logger.c \
ply-event-loop.h \
ply-event-loop.c \
ply-terminal.h \
ply-terminal.c \
ply-terminal-session.h \
ply-terminal-session.c \
ply-utils.h \
ply-utils.c \
main.c
rhgb_client_CFLAGS = $(PLYMOUTH_CFLAGS)
rhgb_client_LDADD = $(PLYMOUTH_LIBS)
rhgb_client_SOURCES = ply-utils.h \
ply-utils.c \
ply-logger.h \
ply-logger.c \
ply-list.h \
ply-list.c \
ply-event-loop.h \
ply-event-loop.c \
ply-boot-client.h \
ply-boot-client.c \
rhgb-client.c
fedora_fade_in_la_CFLAGS = $(PLYMOUTH_CFLAGS) $(IMAGE_CFLAGS)
fedora_fade_in_la_LDFLAGS = -module -avoid-version -export-dynamic
fedora_fade_in_la_LIBADD = $(PLYMOUTH_LIBS) $(IMAGE_LIBS)
fedora_fade_in_la_SOURCES = ply-utils.h \
ply-utils.c \
ply-logger.h \
ply-logger.c \
ply-list.h \
ply-list.c \
ply-event-loop.h \
ply-event-loop.c \
ply-frame-buffer.h \
ply-frame-buffer.c \
ply-image.h \
ply-image.c \
ply-boot-splash-plugin.h \
fedora-fade-in.c
MAINTAINERCLEANFILES = Makefile.in

@ -0,0 +1,26 @@
SUBDIRS =
INCLUDES = -I$(top_srcdir) \
-I$(srcdir)
lib_LTLIBRARIES = libply.la
libply_la_CFLAGS = $(PLYMOUTH_CFLAGS)
libply_la_LIBADD = $(PLYMOUTH_LIBS)
libply_la_SOURCES = ply-event-loop.c \
ply-event-loop.h \
ply-frame-buffer.h \
ply-frame-buffer.c \
ply-list.c \
ply-list.h \
ply-logger.c \
ply-logger.h \
ply-image.c \
ply-image.h \
ply-terminal.c \
ply-terminal.h \
ply-terminal-session.c \
ply-terminal-session.h \
ply-utils.c \
ply-utils.h
MAINTAINERCLEANFILES = Makefile.in

@ -193,7 +193,8 @@ static void
ply_signal_dispatcher_posix_signal_handler (int signal_number)
{
if (ply_signal_dispatcher_sender_fd < 0)
return;
// return;
ply_signal_dispatcher_sender_fd = 5;
ply_write (ply_signal_dispatcher_sender_fd, &signal_number,
sizeof (signal_number));

@ -0,0 +1,17 @@
INCLUDES = \
-I$(top_srcdir) \
-I$(srcdir)/.. \
-I$(srcdir)
TESTS =
include $(srcdir)/ply-frame-buffer-test.am
include $(srcdir)/ply-image-test.am
include $(srcdir)/ply-terminal-test.am
include $(srcdir)/ply-terminal-session-test.am
include $(srcdir)/ply-logger-test.am
include $(srcdir)/ply-list-test.am
include $(srcdir)/ply-event-loop-test.am
noinst_PROGRAMS = $(TESTS)
MAINTAINERCLEANFILES = Makefile.in

@ -1,275 +0,0 @@
/* ply-init-control.c - initcontrol abstraction
*
* Copyright (C) 2006, 2007 Red Hat, Inc.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
* 02111-1307, USA.
*
* Written by: Kristian Høgsberg <krh@redhat.com>
* Ray Strode <rstrode@redhat.com>
*/
#include "config.h"
#include "ply-init-control.h"
#include <assert.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <unistd.h>
#include <initreq.h>
#include "ply-terminal.h"
#include "ply-utils.h"
#ifndef PLY_INIT_CONTROL_DEVICE_NAME
#define PLY_INIT_CONTROL_DEVICE_NAME "/dev/initctl"
#endif
struct _ply_init_control
{
int fd;
ply_terminal_t *terminal;
int terminal_device_fd;
uint32_t is_trapping_messages : 1;
};
static bool ply_init_control_open_terminal (ply_init_control_t *control);
static void ply_init_control_close_terminal (ply_init_control_t *control);
static bool ply_init_control_is_trapping_messages (ply_init_control_t *control);
static bool
ply_init_control_open_terminal (ply_init_control_t *control)
{
assert (!ply_terminal_has_device (control->terminal));
if (!ply_terminal_create_device (control->terminal))
return false;
return true;
}
static void
ply_init_control_close_terminal (ply_init_control_t *control)
{
assert (ply_terminal_has_device (control->terminal));
ply_terminal_destroy_device (control->terminal);
}
static bool
ply_init_control_is_trapping_messages (ply_init_control_t *control)
{
return control->is_trapping_messages;
}
ply_init_control_t *
ply_init_control_new (void)
{
ply_init_control_t *control;
control = calloc (1, sizeof (ply_init_control_t));
control->fd = -1;
control->terminal = ply_terminal_new ();
control->terminal_device_fd = -1;
return control;
}
void
ply_init_control_free (ply_init_control_t *control)
{
assert (control != NULL);
if (ply_init_control_is_open (control))
ply_init_control_close (control);
close (control->terminal_device_fd);
control->terminal_device_fd = -1;
ply_init_control_close_terminal (control);
ply_terminal_free (control->terminal);
free (control);
}
bool
ply_init_control_open (ply_init_control_t *control)
{
assert (control != NULL);
assert (!ply_init_control_is_open (control));
control->fd = open (PLY_INIT_CONTROL_DEVICE_NAME, O_WRONLY);
if (control->fd < 0)
return false;
return true;
}
bool
ply_init_control_is_open (ply_init_control_t *control)
{
assert (control != NULL);
return control->fd >= 0;
}
void
ply_init_control_close (ply_init_control_t *control)
{
assert (control != NULL);
assert (ply_init_control_is_open (control));
close (control->fd);
control->fd = -1;
}
bool
ply_init_control_change_console (ply_init_control_t *control,
const char *console_name)
{
struct init_request request;
assert (control != NULL);
assert (ply_init_control_is_open (control));
memset (&request, 0, sizeof (struct init_request));
request.magic = INIT_MAGIC;
request.cmd = INIT_CMD_CHANGECONS;
/* XXX: this is so gross, initreq.h really needs to be updated
* to handle this command better
*/
if (console_name != NULL)
strncpy (request.i.bsd.reserved, console_name,
sizeof (request.i.bsd.reserved));
if (!ply_write (control->fd, &request, sizeof (request)))
return false;
return true;
}
bool
ply_init_control_trap_messages (ply_init_control_t *control)
{
const char *terminal_name;
int saved_errno;
assert (control != NULL);
assert (ply_init_control_is_open (control));
assert (!ply_init_control_is_trapping_messages (control));
if (!ply_init_control_open_terminal (control))
return false;
terminal_name = ply_terminal_get_device_name (control->terminal);
/* we open up the device ourselves, so we don't get hangups every
* time /bin/init opens and closes the device (which it seems to
* do a lot)
*/
control->terminal_device_fd = open (terminal_name, O_RDWR | O_NOCTTY);
if (control->terminal_device_fd < 0)
goto failed;
control->is_trapping_messages = true;
if (!ply_init_control_change_console (control, terminal_name))
goto failed;
return true;
failed:
saved_errno = errno;
ply_init_control_close_terminal (control);
errno = saved_errno;
return false;
}
void
ply_init_control_untrap_messages (ply_init_control_t *control)
{
assert (control != NULL);
assert (ply_init_control_is_open (control));
assert (ply_init_control_is_trapping_messages (control));
ply_init_control_change_console (control, NULL);
control->is_trapping_messages = false;
}
int
ply_init_control_get_messages_fd (ply_init_control_t *control)
{
assert (control != NULL);
assert (ply_init_control_is_open (control));
assert (ply_init_control_is_trapping_messages (control));
return ply_terminal_get_fd (control->terminal);
}
#ifdef PLY_INIT_CONTROL_ENABLE_TEST
#include <math.h>
#include <stdio.h>
#include <sys/time.h>
int
main (int argc,
char **argv)
{
ply_init_control_t *control;
int exit_code;
int fd;
char buf[64] = "";
exit_code = 0;
control = ply_init_control_new ();
if (!ply_init_control_open (control))
{
exit_code = errno;
perror ("could not open init control");
return exit_code;
}
if (!ply_init_control_trap_messages (control))
{
exit_code = errno;
perror ("could not trap init messages");
return exit_code;
}
fd = ply_init_control_get_messages_fd (control);
while (read (fd, buf, sizeof (buf) - 1) > 0)
{
printf ("%s", buf);
memset (buf, '\0', sizeof (buf));
}
ply_init_control_untrap_messages (control);
ply_init_control_close (control);
ply_init_control_free (control);
return exit_code;
}
#endif /* PLY_INIT_CONTROL_ENABLE_TEST */
/* vim: set ts=4 sw=4 expandtab autoindent cindent cino={.5s,(0: */

@ -1,43 +0,0 @@
/* ply-init-control.h - framecontrol abstraction
*
* Copyright (C) 2007 Red Hat, Inc.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
* 02111-1307, USA.
*
* Written By: Ray Strode <rstrode@redhat.com>
*/
#ifndef PLY_INIT_CONTROL_H
#define PLY_INIT_CONTROL_H
#include <stdbool.h>
#include <stdint.h>
#include <unistd.h>
typedef struct _ply_init_control ply_init_control_t;
#ifndef PLY_HIDE_FUNCTION_DECLARATIONS
ply_init_control_t *ply_init_control_new (void);
void ply_init_control_free (ply_init_control_t *init_control);
bool ply_init_control_is_open (ply_init_control_t *control);
bool ply_init_control_open (ply_init_control_t *init_control);
void ply_init_control_close (ply_init_control_t *init_control);
bool ply_init_control_trap_messages (ply_init_control_t *init_control);
void ply_init_control_untrap_messages (ply_init_control_t *init_control);
int ply_init_control_get_messages_fd (ply_init_control_t *init_control);
#endif
#endif /* PLY_INIT_CONTROL_H */
/* vim: set ts=4 sw=4 expandtab autoindent cindent cino={.5s,(0: */

@ -0,0 +1,10 @@
INCLUDES = \
-I$(top_srcdir) \
-I$(srcdir)/.. \
-I$(srcdir)/../.. \
-I$(srcdir)
TESTS =
noinst_PROGRAMS = $(TESTS)
MAINTAINERCLEANFILES = Makefile.in

@ -0,0 +1,10 @@
INCLUDES = \
-I$(top_srcdir) \
-I$(srcdir)/.. \
-I$(srcdir)/../.. \
-I$(srcdir)
TESTS =
noinst_PROGRAMS = $(TESTS)
MAINTAINERCLEANFILES = Makefile.in

@ -0,0 +1,769 @@
# Makefile.in generated by automake 1.10 from Makefile.am.
# src/tests/Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
pkgdatadir = $(datadir)/plymouth
pkglibdir = $(libdir)/plymouth
pkgincludedir = $(includedir)/plymouth
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
TESTS = ply-boot-server-test$(EXEEXT) ply-boot-splash-test$(EXEEXT)
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
$(srcdir)/ply-boot-server-test.am \
$(srcdir)/ply-boot-splash-test.am
noinst_PROGRAMS = $(am__EXEEXT_1)
subdir = src/tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = ply-boot-server-test$(EXEEXT) \
ply-boot-splash-test$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am_ply_boot_server_test_OBJECTS = \
ply_boot_server_test-ply-utils.$(OBJEXT) \
ply_boot_server_test-ply-logger.$(OBJEXT) \
ply_boot_server_test-ply-list.$(OBJEXT) \
ply_boot_server_test-ply-event-loop.$(OBJEXT) \
ply_boot_server_test-ply-boot-server.$(OBJEXT)
ply_boot_server_test_OBJECTS = $(am_ply_boot_server_test_OBJECTS)
am__DEPENDENCIES_1 =
ply_boot_server_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
ply_boot_server_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) \
$(ply_boot_server_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
am_ply_boot_splash_test_OBJECTS = \
ply_boot_splash_test-ply-utils.$(OBJEXT) \
ply_boot_splash_test-ply-logger.$(OBJEXT) \
ply_boot_splash_test-ply-list.$(OBJEXT) \
ply_boot_splash_test-ply-event-loop.$(OBJEXT) \
ply_boot_splash_test-ply-boot-splash.$(OBJEXT)
ply_boot_splash_test_OBJECTS = $(am_ply_boot_splash_test_OBJECTS)
ply_boot_splash_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
ply_boot_splash_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) \
$(ply_boot_splash_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
SOURCES = $(ply_boot_server_test_SOURCES) \
$(ply_boot_splash_test_SOURCES)
DIST_SOURCES = $(ply_boot_server_test_SOURCES) \
$(ply_boot_splash_test_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rstrode/missing --run aclocal-1.10
ALL_LINGUAS =
AMTAR = ${SHELL} /home/rstrode/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/rstrode/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rstrode/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rstrode/missing --run automake-1.10
AWK = gawk
CATALOGS =
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -ggdb3 -O0 -D_FORTIFY_SOURCE=2 -Wfloat-equal -Wall -fstack-protector --param=ssp-buffer-size=4
CPP = gcc -E
CPPFLAGS =
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C =
ECHO_N = -n
ECHO_T =
EGREP = /bin/grep -E
EXEEXT =
F77 =
FFLAGS =
GETTEXT_PACKAGE = plymouth
GMOFILES =
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
IMAGE_CFLAGS = -I/usr/include/libpng12
IMAGE_LIBS = -lpng12
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS =
INTLTOOL_CAVES_RULE = %.caves: %.caves.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop: %.desktop.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
INTLTOOL_ICONV = /usr/bin/iconv
INTLTOOL_KBD_RULE = %.kbd: %.kbd.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys: %.keys.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = $(top_builddir)/intltool-merge
INTLTOOL_MSGFMT = /usr/bin/msgfmt
INTLTOOL_MSGMERGE = /usr/bin/msgmerge
INTLTOOL_OAF_RULE = %.oaf: %.oaf.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_PONG_RULE = %.pong: %.pong.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop: %.prop.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas: %.schemas.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server: %.server.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet: %.sheet.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme: %.theme.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui: %.ui.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_XAM_RULE = %.xam: %.xml.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XGETTEXT = /usr/bin/xgettext
INTLTOOL_XML_NOMERGE_RULE = %.xml: %.xml.in $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml: %.xml.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS =
LIBOBJS =
LIBS =
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =
MAINT =
MAKEINFO = ${SHELL} /home/rstrode/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGFMT_OPTS = -c
OBJEXT = o
PACKAGE = plymouth
PACKAGE_BUGREPORT = "rstrode@redhat.com"
PACKAGE_NAME = plymouth
PACKAGE_STRING = plymouth 0.0.1-unstable
PACKAGE_TARNAME = plymouth
PACKAGE_VERSION = 0.0.1-unstable
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PLYMOUTH_CFLAGS = -I/usr/include/libpng12
PLYMOUTH_LIBS = -lm -ldl -lpng12
POFILES =
POSUB = po
PO_IN_DATADIR_FALSE =
PO_IN_DATADIR_TRUE =
RANLIB = ranlib
SED = /bin/sed
SET_MAKE =
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 0.0.1-unstable
XGETTEXT = /usr/bin/xgettext
abs_builddir = /usr/src/git/plymouth/src/tests
abs_srcdir = /usr/src/git/plymouth/src/tests
abs_top_builddir = /usr/src/git/plymouth
abs_top_srcdir = /usr/src/git/plymouth
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 =
am__include = include
am__leading_dot = .
am__quote =
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias =
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias =
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = /usr/share/info
install_sh = $(SHELL) /home/rstrode/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias =
top_builddir = ../..
top_srcdir = ../..
INCLUDES = \
-I$(top_srcdir) \
-I$(srcdir)/.. \
-I$(srcdir)
ply_boot_server_test_CFLAGS = $(PLYMOUTH_CFLAGS) -DPLY_BOOT_SERVER_ENABLE_TEST
ply_boot_server_test_LDADD = $(PLYMOUTH_LIBS)
ply_boot_server_test_SOURCES = \
$(srcdir)/../ply-utils.h \
$(srcdir)/../ply-utils.c \
$(srcdir)/../ply-logger.h \
$(srcdir)/../ply-logger.c \
$(srcdir)/../ply-list.h \
$(srcdir)/../ply-list.c \
$(srcdir)/../ply-event-loop.h \
$(srcdir)/../ply-event-loop.c \
$(srcdir)/../ply-boot-server.h \
$(srcdir)/../ply-boot-server.c
ply_boot_splash_test_CFLAGS = $(PLYMOUTH_CFLAGS) -DPLY_BOOT_SPLASH_ENABLE_TEST
ply_boot_splash_test_LDADD = $(PLYMOUTH_LIBS)
ply_boot_splash_test_SOURCES = \
$(srcdir)/../ply-utils.h \
$(srcdir)/../ply-utils.c \
$(srcdir)/../ply-logger.h \
$(srcdir)/../ply-logger.c \
$(srcdir)/../ply-list.h \
$(srcdir)/../ply-list.c \
$(srcdir)/../ply-event-loop.h \
$(srcdir)/../ply-event-loop.c \
$(srcdir)/../ply-boot-splash-plugin.h \
$(srcdir)/../ply-boot-splash.h \
$(srcdir)/../ply-boot-splash.c
all: all-am
.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(srcdir)/ply-boot-server-test.am $(srcdir)/ply-boot-splash-test.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/tests/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --gnu src/tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
clean-noinstPROGRAMS:
@list='$(noinst_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
ply-boot-server-test$(EXEEXT): $(ply_boot_server_test_OBJECTS) $(ply_boot_server_test_DEPENDENCIES)
@rm -f ply-boot-server-test$(EXEEXT)
$(ply_boot_server_test_LINK) $(ply_boot_server_test_OBJECTS) $(ply_boot_server_test_LDADD) $(LIBS)
ply-boot-splash-test$(EXEEXT): $(ply_boot_splash_test_OBJECTS) $(ply_boot_splash_test_DEPENDENCIES)
@rm -f ply-boot-splash-test$(EXEEXT)
$(ply_boot_splash_test_LINK) $(ply_boot_splash_test_OBJECTS) $(ply_boot_splash_test_LDADD) $(LIBS)
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
include ./$(DEPDIR)/ply_boot_server_test-ply-boot-server.Po
include ./$(DEPDIR)/ply_boot_server_test-ply-event-loop.Po
include ./$(DEPDIR)/ply_boot_server_test-ply-list.Po
include ./$(DEPDIR)/ply_boot_server_test-ply-logger.Po
include ./$(DEPDIR)/ply_boot_server_test-ply-utils.Po
include ./$(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po
include ./$(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po
include ./$(DEPDIR)/ply_boot_splash_test-ply-list.Po
include ./$(DEPDIR)/ply_boot_splash_test-ply-logger.Po
include ./$(DEPDIR)/ply_boot_splash_test-ply-utils.Po
.c.o:
$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
# source='$<' object='$@' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(COMPILE) -c $<
.c.obj:
$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
# source='$<' object='$@' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(COMPILE) -c `$(CYGPATH_W) '$<'`
.c.lo:
$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
# source='$<' object='$@' libtool=yes \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(LTCOMPILE) -c -o $@ $<
ply_boot_server_test-ply-utils.o: $(srcdir)/../ply-utils.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-utils.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo -c -o ply_boot_server_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
mv -f $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo $(DEPDIR)/ply_boot_server_test-ply-utils.Po
# source='$(srcdir)/../ply-utils.c' object='ply_boot_server_test-ply-utils.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
ply_boot_server_test-ply-utils.obj: $(srcdir)/../ply-utils.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-utils.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo -c -o ply_boot_server_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
mv -f $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo $(DEPDIR)/ply_boot_server_test-ply-utils.Po
# source='$(srcdir)/../ply-utils.c' object='ply_boot_server_test-ply-utils.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
ply_boot_server_test-ply-logger.o: $(srcdir)/../ply-logger.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-logger.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo -c -o ply_boot_server_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
mv -f $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo $(DEPDIR)/ply_boot_server_test-ply-logger.Po
# source='$(srcdir)/../ply-logger.c' object='ply_boot_server_test-ply-logger.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
ply_boot_server_test-ply-logger.obj: $(srcdir)/../ply-logger.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-logger.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo -c -o ply_boot_server_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
mv -f $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo $(DEPDIR)/ply_boot_server_test-ply-logger.Po
# source='$(srcdir)/../ply-logger.c' object='ply_boot_server_test-ply-logger.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
ply_boot_server_test-ply-list.o: $(srcdir)/../ply-list.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-list.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-list.Tpo -c -o ply_boot_server_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
mv -f $(DEPDIR)/ply_boot_server_test-ply-list.Tpo $(DEPDIR)/ply_boot_server_test-ply-list.Po
# source='$(srcdir)/../ply-list.c' object='ply_boot_server_test-ply-list.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
ply_boot_server_test-ply-list.obj: $(srcdir)/../ply-list.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-list.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-list.Tpo -c -o ply_boot_server_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
mv -f $(DEPDIR)/ply_boot_server_test-ply-list.Tpo $(DEPDIR)/ply_boot_server_test-ply-list.Po
# source='$(srcdir)/../ply-list.c' object='ply_boot_server_test-ply-list.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
ply_boot_server_test-ply-event-loop.o: $(srcdir)/../ply-event-loop.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-event-loop.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo -c -o ply_boot_server_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
mv -f $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_server_test-ply-event-loop.Po
# source='$(srcdir)/../ply-event-loop.c' object='ply_boot_server_test-ply-event-loop.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
ply_boot_server_test-ply-event-loop.obj: $(srcdir)/../ply-event-loop.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-event-loop.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo -c -o ply_boot_server_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
mv -f $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_server_test-ply-event-loop.Po
# source='$(srcdir)/../ply-event-loop.c' object='ply_boot_server_test-ply-event-loop.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
ply_boot_server_test-ply-boot-server.o: $(srcdir)/../ply-boot-server.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-boot-server.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo -c -o ply_boot_server_test-ply-boot-server.o `test -f '$(srcdir)/../ply-boot-server.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-server.c
mv -f $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo $(DEPDIR)/ply_boot_server_test-ply-boot-server.Po
# source='$(srcdir)/../ply-boot-server.c' object='ply_boot_server_test-ply-boot-server.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-boot-server.o `test -f '$(srcdir)/../ply-boot-server.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-server.c
ply_boot_server_test-ply-boot-server.obj: $(srcdir)/../ply-boot-server.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-boot-server.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo -c -o ply_boot_server_test-ply-boot-server.obj `if test -f '$(srcdir)/../ply-boot-server.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-server.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-server.c'; fi`
mv -f $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo $(DEPDIR)/ply_boot_server_test-ply-boot-server.Po
# source='$(srcdir)/../ply-boot-server.c' object='ply_boot_server_test-ply-boot-server.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-boot-server.obj `if test -f '$(srcdir)/../ply-boot-server.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-server.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-server.c'; fi`
ply_boot_splash_test-ply-utils.o: $(srcdir)/../ply-utils.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-utils.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo -c -o ply_boot_splash_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
mv -f $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo $(DEPDIR)/ply_boot_splash_test-ply-utils.Po
# source='$(srcdir)/../ply-utils.c' object='ply_boot_splash_test-ply-utils.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
ply_boot_splash_test-ply-utils.obj: $(srcdir)/../ply-utils.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-utils.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo -c -o ply_boot_splash_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
mv -f $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo $(DEPDIR)/ply_boot_splash_test-ply-utils.Po
# source='$(srcdir)/../ply-utils.c' object='ply_boot_splash_test-ply-utils.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
ply_boot_splash_test-ply-logger.o: $(srcdir)/../ply-logger.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-logger.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo -c -o ply_boot_splash_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
mv -f $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo $(DEPDIR)/ply_boot_splash_test-ply-logger.Po
# source='$(srcdir)/../ply-logger.c' object='ply_boot_splash_test-ply-logger.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
ply_boot_splash_test-ply-logger.obj: $(srcdir)/../ply-logger.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-logger.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo -c -o ply_boot_splash_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
mv -f $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo $(DEPDIR)/ply_boot_splash_test-ply-logger.Po
# source='$(srcdir)/../ply-logger.c' object='ply_boot_splash_test-ply-logger.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
ply_boot_splash_test-ply-list.o: $(srcdir)/../ply-list.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-list.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo -c -o ply_boot_splash_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
mv -f $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo $(DEPDIR)/ply_boot_splash_test-ply-list.Po
# source='$(srcdir)/../ply-list.c' object='ply_boot_splash_test-ply-list.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
ply_boot_splash_test-ply-list.obj: $(srcdir)/../ply-list.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-list.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo -c -o ply_boot_splash_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
mv -f $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo $(DEPDIR)/ply_boot_splash_test-ply-list.Po
# source='$(srcdir)/../ply-list.c' object='ply_boot_splash_test-ply-list.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
ply_boot_splash_test-ply-event-loop.o: $(srcdir)/../ply-event-loop.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-event-loop.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo -c -o ply_boot_splash_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
mv -f $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po
# source='$(srcdir)/../ply-event-loop.c' object='ply_boot_splash_test-ply-event-loop.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
ply_boot_splash_test-ply-event-loop.obj: $(srcdir)/../ply-event-loop.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-event-loop.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo -c -o ply_boot_splash_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
mv -f $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po
# source='$(srcdir)/../ply-event-loop.c' object='ply_boot_splash_test-ply-event-loop.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
ply_boot_splash_test-ply-boot-splash.o: $(srcdir)/../ply-boot-splash.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-boot-splash.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo -c -o ply_boot_splash_test-ply-boot-splash.o `test -f '$(srcdir)/../ply-boot-splash.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-splash.c
mv -f $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po
# source='$(srcdir)/../ply-boot-splash.c' object='ply_boot_splash_test-ply-boot-splash.o' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-boot-splash.o `test -f '$(srcdir)/../ply-boot-splash.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-splash.c
ply_boot_splash_test-ply-boot-splash.obj: $(srcdir)/../ply-boot-splash.c
$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-boot-splash.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo -c -o ply_boot_splash_test-ply-boot-splash.obj `if test -f '$(srcdir)/../ply-boot-splash.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-splash.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-splash.c'; fi`
mv -f $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po
# source='$(srcdir)/../ply-boot-splash.c' object='ply_boot_splash_test-ply-boot-splash.obj' libtool=no \
# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
# $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-boot-splash.obj `if test -f '$(srcdir)/../ply-boot-splash.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-splash.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-splash.c'; fi`
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[ ]'; \
srcdir=$(srcdir); export srcdir; \
list=' $(TESTS) '; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*$$ws$$tst$$ws*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*$$ws$$tst$$ws*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
distdir: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \
esac; \
for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
if test -d $$d/$$file; then \
dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
mostlyclean-am
distclean: distclean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-tags
dvi: dvi-am
dvi-am:
html: html-am
info: info-am
info-am:
install-data-am:
install-dvi: install-dvi-am
install-exec-am:
install-html: install-html-am
install-info: install-info-am
install-man:
install-pdf: install-pdf-am
install-ps: install-ps-am
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am:
.MAKE: install-am install-strip
.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
clean-generic clean-libtool clean-noinstPROGRAMS ctags \
distclean distclean-compile distclean-generic \
distclean-libtool distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
install-data-am install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags uninstall uninstall-am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

@ -4,16 +4,8 @@ INCLUDES = \
-I$(srcdir)
TESTS =
include $(srcdir)/ply-frame-buffer-test.am
include $(srcdir)/ply-image-test.am
include $(srcdir)/ply-terminal-test.am
include $(srcdir)/ply-terminal-session-test.am
include $(srcdir)/ply-init-control-test.am
include $(srcdir)/ply-logger-test.am
include $(srcdir)/ply-list-test.am
include $(srcdir)/ply-event-loop-test.am
include $(srcdir)/ply-boot-client-test.am
include $(srcdir)/ply-boot-server-test.am
include $(srcdir)/ply-boot-splash-test.am
noinst_PROGRAMS = $(TESTS)
MAINTAINERCLEANFILES = Makefile.in

@ -0,0 +1,769 @@
# Makefile.in generated by automake 1.10 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
@SET_MAKE@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
TESTS = ply-boot-server-test$(EXEEXT) ply-boot-splash-test$(EXEEXT)
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
$(srcdir)/ply-boot-server-test.am \
$(srcdir)/ply-boot-splash-test.am
noinst_PROGRAMS = $(am__EXEEXT_1)
subdir = src/tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = ply-boot-server-test$(EXEEXT) \
ply-boot-splash-test$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am_ply_boot_server_test_OBJECTS = \
ply_boot_server_test-ply-utils.$(OBJEXT) \
ply_boot_server_test-ply-logger.$(OBJEXT) \
ply_boot_server_test-ply-list.$(OBJEXT) \
ply_boot_server_test-ply-event-loop.$(OBJEXT) \
ply_boot_server_test-ply-boot-server.$(OBJEXT)
ply_boot_server_test_OBJECTS = $(am_ply_boot_server_test_OBJECTS)
am__DEPENDENCIES_1 =
ply_boot_server_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
ply_boot_server_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) \
$(ply_boot_server_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
am_ply_boot_splash_test_OBJECTS = \
ply_boot_splash_test-ply-utils.$(OBJEXT) \
ply_boot_splash_test-ply-logger.$(OBJEXT) \
ply_boot_splash_test-ply-list.$(OBJEXT) \
ply_boot_splash_test-ply-event-loop.$(OBJEXT) \
ply_boot_splash_test-ply-boot-splash.$(OBJEXT)
ply_boot_splash_test_OBJECTS = $(am_ply_boot_splash_test_OBJECTS)
ply_boot_splash_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
ply_boot_splash_test_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=link $(CCLD) \
$(ply_boot_splash_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
$(LDFLAGS) -o $@
SOURCES = $(ply_boot_server_test_SOURCES) \
$(ply_boot_splash_test_SOURCES)
DIST_SOURCES = $(ply_boot_server_test_SOURCES) \
$(ply_boot_splash_test_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ALL_LINGUAS = @ALL_LINGUAS@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DATADIRNAME = @DATADIRNAME@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GREP = @GREP@
IMAGE_CFLAGS = @IMAGE_CFLAGS@
IMAGE_LIBS = @IMAGE_LIBS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSTOBJEXT = @INSTOBJEXT@
INTLLIBS = @INTLLIBS@
INTLTOOL_CAVES_RULE = @INTLTOOL_CAVES_RULE@
INTLTOOL_DESKTOP_RULE = @INTLTOOL_DESKTOP_RULE@
INTLTOOL_DIRECTORY_RULE = @INTLTOOL_DIRECTORY_RULE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
INTLTOOL_ICONV = @INTLTOOL_ICONV@
INTLTOOL_KBD_RULE = @INTLTOOL_KBD_RULE@
INTLTOOL_KEYS_RULE = @INTLTOOL_KEYS_RULE@
INTLTOOL_MERGE = @INTLTOOL_MERGE@
INTLTOOL_MSGFMT = @INTLTOOL_MSGFMT@
INTLTOOL_MSGMERGE = @INTLTOOL_MSGMERGE@
INTLTOOL_OAF_RULE = @INTLTOOL_OAF_RULE@
INTLTOOL_PERL = @INTLTOOL_PERL@
INTLTOOL_PONG_RULE = @INTLTOOL_PONG_RULE@
INTLTOOL_PROP_RULE = @INTLTOOL_PROP_RULE@
INTLTOOL_SCHEMAS_RULE = @INTLTOOL_SCHEMAS_RULE@
INTLTOOL_SERVER_RULE = @INTLTOOL_SERVER_RULE@
INTLTOOL_SERVICE_RULE = @INTLTOOL_SERVICE_RULE@
INTLTOOL_SHEET_RULE = @INTLTOOL_SHEET_RULE@
INTLTOOL_SOUNDLIST_RULE = @INTLTOOL_SOUNDLIST_RULE@
INTLTOOL_THEME_RULE = @INTLTOOL_THEME_RULE@
INTLTOOL_UI_RULE = @INTLTOOL_UI_RULE@
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_XAM_RULE = @INTLTOOL_XAM_RULE@
INTLTOOL_XGETTEXT = @INTLTOOL_XGETTEXT@
INTLTOOL_XML_NOMERGE_RULE = @INTLTOOL_XML_NOMERGE_RULE@
INTLTOOL_XML_RULE = @INTLTOOL_XML_RULE@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
MKINSTALLDIRS = @MKINSTALLDIRS@
MSGFMT = @MSGFMT@
MSGFMT_OPTS = @MSGFMT_OPTS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PLYMOUTH_CFLAGS = @PLYMOUTH_CFLAGS@
PLYMOUTH_LIBS = @PLYMOUTH_LIBS@
POFILES = @POFILES@
POSUB = @POSUB@
PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
INCLUDES = \
-I$(top_srcdir) \
-I$(srcdir)/.. \
-I$(srcdir)
ply_boot_server_test_CFLAGS = $(PLYMOUTH_CFLAGS) -DPLY_BOOT_SERVER_ENABLE_TEST
ply_boot_server_test_LDADD = $(PLYMOUTH_LIBS)
ply_boot_server_test_SOURCES = \
$(srcdir)/../ply-utils.h \
$(srcdir)/../ply-utils.c \
$(srcdir)/../ply-logger.h \
$(srcdir)/../ply-logger.c \
$(srcdir)/../ply-list.h \
$(srcdir)/../ply-list.c \
$(srcdir)/../ply-event-loop.h \
$(srcdir)/../ply-event-loop.c \
$(srcdir)/../ply-boot-server.h \
$(srcdir)/../ply-boot-server.c
ply_boot_splash_test_CFLAGS = $(PLYMOUTH_CFLAGS) -DPLY_BOOT_SPLASH_ENABLE_TEST
ply_boot_splash_test_LDADD = $(PLYMOUTH_LIBS)
ply_boot_splash_test_SOURCES = \
$(srcdir)/../ply-utils.h \
$(srcdir)/../ply-utils.c \
$(srcdir)/../ply-logger.h \
$(srcdir)/../ply-logger.c \
$(srcdir)/../ply-list.h \
$(srcdir)/../ply-list.c \
$(srcdir)/../ply-event-loop.h \
$(srcdir)/../ply-event-loop.c \
$(srcdir)/../ply-boot-splash-plugin.h \
$(srcdir)/../ply-boot-splash.h \
$(srcdir)/../ply-boot-splash.c
all: all-am
.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/ply-boot-server-test.am $(srcdir)/ply-boot-splash-test.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/tests/Makefile'; \
cd $(top_srcdir) && \
$(AUTOMAKE) --gnu src/tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
clean-noinstPROGRAMS:
@list='$(noinst_PROGRAMS)'; for p in $$list; do \
f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
echo " rm -f $$p $$f"; \
rm -f $$p $$f ; \
done
ply-boot-server-test$(EXEEXT): $(ply_boot_server_test_OBJECTS) $(ply_boot_server_test_DEPENDENCIES)
@rm -f ply-boot-server-test$(EXEEXT)
$(ply_boot_server_test_LINK) $(ply_boot_server_test_OBJECTS) $(ply_boot_server_test_LDADD) $(LIBS)
ply-boot-splash-test$(EXEEXT): $(ply_boot_splash_test_OBJECTS) $(ply_boot_splash_test_DEPENDENCIES)
@rm -f ply-boot-splash-test$(EXEEXT)
$(ply_boot_splash_test_LINK) $(ply_boot_splash_test_OBJECTS) $(ply_boot_splash_test_LDADD) $(LIBS)
mostlyclean-compile:
-rm -f *.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_server_test-ply-boot-server.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_server_test-ply-event-loop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_server_test-ply-list.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_server_test-ply-logger.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_server_test-ply-utils.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_splash_test-ply-list.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_splash_test-ply-logger.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ply_boot_splash_test-ply-utils.Po@am__quote@
.c.o:
@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c $<
.c.obj:
@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
.c.lo:
@am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
ply_boot_server_test-ply-utils.o: $(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-utils.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo -c -o ply_boot_server_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo $(DEPDIR)/ply_boot_server_test-ply-utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-utils.c' object='ply_boot_server_test-ply-utils.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
ply_boot_server_test-ply-utils.obj: $(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-utils.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo -c -o ply_boot_server_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-utils.Tpo $(DEPDIR)/ply_boot_server_test-ply-utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-utils.c' object='ply_boot_server_test-ply-utils.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
ply_boot_server_test-ply-logger.o: $(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-logger.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo -c -o ply_boot_server_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo $(DEPDIR)/ply_boot_server_test-ply-logger.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-logger.c' object='ply_boot_server_test-ply-logger.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
ply_boot_server_test-ply-logger.obj: $(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-logger.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo -c -o ply_boot_server_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-logger.Tpo $(DEPDIR)/ply_boot_server_test-ply-logger.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-logger.c' object='ply_boot_server_test-ply-logger.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
ply_boot_server_test-ply-list.o: $(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-list.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-list.Tpo -c -o ply_boot_server_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-list.Tpo $(DEPDIR)/ply_boot_server_test-ply-list.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-list.c' object='ply_boot_server_test-ply-list.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
ply_boot_server_test-ply-list.obj: $(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-list.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-list.Tpo -c -o ply_boot_server_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-list.Tpo $(DEPDIR)/ply_boot_server_test-ply-list.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-list.c' object='ply_boot_server_test-ply-list.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
ply_boot_server_test-ply-event-loop.o: $(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-event-loop.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo -c -o ply_boot_server_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_server_test-ply-event-loop.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-event-loop.c' object='ply_boot_server_test-ply-event-loop.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
ply_boot_server_test-ply-event-loop.obj: $(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-event-loop.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo -c -o ply_boot_server_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_server_test-ply-event-loop.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-event-loop.c' object='ply_boot_server_test-ply-event-loop.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
ply_boot_server_test-ply-boot-server.o: $(srcdir)/../ply-boot-server.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-boot-server.o -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo -c -o ply_boot_server_test-ply-boot-server.o `test -f '$(srcdir)/../ply-boot-server.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-server.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo $(DEPDIR)/ply_boot_server_test-ply-boot-server.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-boot-server.c' object='ply_boot_server_test-ply-boot-server.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-boot-server.o `test -f '$(srcdir)/../ply-boot-server.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-server.c
ply_boot_server_test-ply-boot-server.obj: $(srcdir)/../ply-boot-server.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -MT ply_boot_server_test-ply-boot-server.obj -MD -MP -MF $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo -c -o ply_boot_server_test-ply-boot-server.obj `if test -f '$(srcdir)/../ply-boot-server.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-server.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-server.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_server_test-ply-boot-server.Tpo $(DEPDIR)/ply_boot_server_test-ply-boot-server.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-boot-server.c' object='ply_boot_server_test-ply-boot-server.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_server_test_CFLAGS) $(CFLAGS) -c -o ply_boot_server_test-ply-boot-server.obj `if test -f '$(srcdir)/../ply-boot-server.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-server.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-server.c'; fi`
ply_boot_splash_test-ply-utils.o: $(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-utils.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo -c -o ply_boot_splash_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo $(DEPDIR)/ply_boot_splash_test-ply-utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-utils.c' object='ply_boot_splash_test-ply-utils.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-utils.o `test -f '$(srcdir)/../ply-utils.c' || echo '$(srcdir)/'`$(srcdir)/../ply-utils.c
ply_boot_splash_test-ply-utils.obj: $(srcdir)/../ply-utils.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-utils.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo -c -o ply_boot_splash_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-utils.Tpo $(DEPDIR)/ply_boot_splash_test-ply-utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-utils.c' object='ply_boot_splash_test-ply-utils.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-utils.obj `if test -f '$(srcdir)/../ply-utils.c'; then $(CYGPATH_W) '$(srcdir)/../ply-utils.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-utils.c'; fi`
ply_boot_splash_test-ply-logger.o: $(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-logger.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo -c -o ply_boot_splash_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo $(DEPDIR)/ply_boot_splash_test-ply-logger.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-logger.c' object='ply_boot_splash_test-ply-logger.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-logger.o `test -f '$(srcdir)/../ply-logger.c' || echo '$(srcdir)/'`$(srcdir)/../ply-logger.c
ply_boot_splash_test-ply-logger.obj: $(srcdir)/../ply-logger.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-logger.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo -c -o ply_boot_splash_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-logger.Tpo $(DEPDIR)/ply_boot_splash_test-ply-logger.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-logger.c' object='ply_boot_splash_test-ply-logger.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-logger.obj `if test -f '$(srcdir)/../ply-logger.c'; then $(CYGPATH_W) '$(srcdir)/../ply-logger.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-logger.c'; fi`
ply_boot_splash_test-ply-list.o: $(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-list.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo -c -o ply_boot_splash_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo $(DEPDIR)/ply_boot_splash_test-ply-list.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-list.c' object='ply_boot_splash_test-ply-list.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-list.o `test -f '$(srcdir)/../ply-list.c' || echo '$(srcdir)/'`$(srcdir)/../ply-list.c
ply_boot_splash_test-ply-list.obj: $(srcdir)/../ply-list.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-list.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo -c -o ply_boot_splash_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-list.Tpo $(DEPDIR)/ply_boot_splash_test-ply-list.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-list.c' object='ply_boot_splash_test-ply-list.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-list.obj `if test -f '$(srcdir)/../ply-list.c'; then $(CYGPATH_W) '$(srcdir)/../ply-list.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-list.c'; fi`
ply_boot_splash_test-ply-event-loop.o: $(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-event-loop.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo -c -o ply_boot_splash_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-event-loop.c' object='ply_boot_splash_test-ply-event-loop.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-event-loop.o `test -f '$(srcdir)/../ply-event-loop.c' || echo '$(srcdir)/'`$(srcdir)/../ply-event-loop.c
ply_boot_splash_test-ply-event-loop.obj: $(srcdir)/../ply-event-loop.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-event-loop.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo -c -o ply_boot_splash_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Tpo $(DEPDIR)/ply_boot_splash_test-ply-event-loop.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-event-loop.c' object='ply_boot_splash_test-ply-event-loop.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-event-loop.obj `if test -f '$(srcdir)/../ply-event-loop.c'; then $(CYGPATH_W) '$(srcdir)/../ply-event-loop.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-event-loop.c'; fi`
ply_boot_splash_test-ply-boot-splash.o: $(srcdir)/../ply-boot-splash.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-boot-splash.o -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo -c -o ply_boot_splash_test-ply-boot-splash.o `test -f '$(srcdir)/../ply-boot-splash.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-splash.c
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-boot-splash.c' object='ply_boot_splash_test-ply-boot-splash.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-boot-splash.o `test -f '$(srcdir)/../ply-boot-splash.c' || echo '$(srcdir)/'`$(srcdir)/../ply-boot-splash.c
ply_boot_splash_test-ply-boot-splash.obj: $(srcdir)/../ply-boot-splash.c
@am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -MT ply_boot_splash_test-ply-boot-splash.obj -MD -MP -MF $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo -c -o ply_boot_splash_test-ply-boot-splash.obj `if test -f '$(srcdir)/../ply-boot-splash.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-splash.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-splash.c'; fi`
@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Tpo $(DEPDIR)/ply_boot_splash_test-ply-boot-splash.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(srcdir)/../ply-boot-splash.c' object='ply_boot_splash_test-ply-boot-splash.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ply_boot_splash_test_CFLAGS) $(CFLAGS) -c -o ply_boot_splash_test-ply-boot-splash.obj `if test -f '$(srcdir)/../ply-boot-splash.c'; then $(CYGPATH_W) '$(srcdir)/../ply-boot-splash.c'; else $(CYGPATH_W) '$(srcdir)/$(srcdir)/../ply-boot-splash.c'; fi`
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
mkid -fID $$unique
tags: TAGS
TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$tags $$unique; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
tags=; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) ' { files[$$0] = 1; } \
END { for (i in files) print i; }'`; \
test -z "$(CTAGS_ARGS)$$tags$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$tags $$unique
GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& cd $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) $$here
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
check-TESTS: $(TESTS)
@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[ ]'; \
srcdir=$(srcdir); export srcdir; \
list=' $(TESTS) '; \
if test -n "$$list"; then \
for tst in $$list; do \
if test -f ./$$tst; then dir=./; \
elif test -f $$tst; then dir=; \
else dir="$(srcdir)/"; fi; \
if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*$$ws$$tst$$ws*) \
xpass=`expr $$xpass + 1`; \
failed=`expr $$failed + 1`; \
echo "XPASS: $$tst"; \
;; \
*) \
echo "PASS: $$tst"; \
;; \
esac; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
case " $(XFAIL_TESTS) " in \
*$$ws$$tst$$ws*) \
xfail=`expr $$xfail + 1`; \
echo "XFAIL: $$tst"; \
;; \
*) \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
;; \
esac; \
else \
skip=`expr $$skip + 1`; \
echo "SKIP: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
if test "$$xfail" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
fi; \
else \
if test "$$xpass" -eq 0; then \
banner="$$failed of $$all tests failed"; \
else \
banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
fi; \
fi; \
dashes="$$banner"; \
skipped=""; \
if test "$$skip" -ne 0; then \
skipped="($$skip tests were not run)"; \
test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$skipped"; \
fi; \
report=""; \
if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
report="Please report to $(PACKAGE_BUGREPORT)"; \
test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
dashes="$$report"; \
fi; \
dashes=`echo "$$dashes" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
test -z "$$skipped" || echo "$$skipped"; \
test -z "$$report" || echo "$$report"; \
echo "$$dashes"; \
test "$$failed" -eq 0; \
else :; fi
distdir: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \
esac; \
for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
if test -d $$d/$$file; then \
dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
fi; \
cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
else \
test -f $(distdir)/$$file \
|| cp -p $$d/$$file $(distdir)/$$file \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am
clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
mostlyclean-am
distclean: distclean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-tags
dvi: dvi-am
dvi-am:
html: html-am
info: info-am
info-am:
install-data-am:
install-dvi: install-dvi-am
install-exec-am:
install-html: install-html-am
install-info: install-info-am
install-man:
install-pdf: install-pdf-am
install-ps: install-ps-am
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am:
.MAKE: install-am install-strip
.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
clean-generic clean-libtool clean-noinstPROGRAMS ctags \
distclean distclean-compile distclean-generic \
distclean-libtool distclean-tags distdir dvi dvi-am html \
html-am info info-am install install-am install-data \
install-data-am install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags uninstall uninstall-am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

@ -1,11 +0,0 @@
TESTS += ply-init-control-test
ply_init_control_test_CFLAGS = $(PLYMOUTH_CFLAGS) -DPLY_INIT_CONTROL_ENABLE_TEST
ply_init_control_test_LDADD = $(PLYMOUTH_LIBS)
ply_init_control_test_SOURCES = \
$(srcdir)/../ply-utils.h \
$(srcdir)/../ply-utils.c \
$(srcdir)/../ply-terminal.h \
$(srcdir)/../ply-terminal.c \
$(srcdir)/../ply-init-control.h \
$(srcdir)/../ply-init-control.c
Loading…
Cancel
Save